Bug 126866 - copying from a Firewire disk hangs
Summary: copying from a Firewire disk hangs
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-28 15:38 UTC by Tim Püschel
Modified: 2015-01-04 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:00:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
excerpt of /var/log/messages (7.24 KB, text/plain)
2004-06-28 15:40 UTC, Tim Püschel
no flags Details
Output of lspci -v (4.41 KB, text/plain)
2004-06-28 15:41 UTC, Tim Püschel
no flags Details
new excerpt of /var/log/messages (10.63 KB, text/plain)
2004-07-14 20:35 UTC, Tim Püschel
no flags Details

Description Tim Püschel 2004-06-28 15:38:00 UTC
Description of problem:
I try to copy large files from a Firewire disk (sbp2 module).
Some of the data is copied, but after a few minutes cp hangs, the
activity led of the disk goes of and no data is copied for a while.
After a few minutes it all starts again some more data is copied, then
it stops again, ....

Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435

How reproducible:

Every time.

Steps to Reproduce:

1. Plug the Firewire disk in
2. Mount one of the partitions
3. Copy a file from that partition elsewhere
 

Additional info:

The computer is an Asus laptop L2400D

Comment 1 Tim Püschel 2004-06-28 15:40:45 UTC
Created attachment 101470 [details]
excerpt of /var/log/messages

Comment 2 Tim Püschel 2004-06-28 15:41:41 UTC
Created attachment 101471 [details]
Output of lspci -v

Comment 3 Alexandre Oliva 2004-06-28 17:08:03 UTC
Try serialize_io=1 in the module options?

Comment 4 Tim Püschel 2004-06-29 07:44:48 UTC
That helped. The Problem disappeared with that option.

Comment 5 Tim Püschel 2004-07-14 20:33:25 UTC
The original problem disappeared, but from time to time the sbp2-disks
completly disappear while data is copied from or to them. fdisk
doesn't show the disks anymore. Disconnecting and reconnecting the
disk doesn't help.
Two firewire-disks are attached to the system.

The hardware is the same, the kernel version is 2.6.6-1.435.2.3.


Comment 6 Tim Püschel 2004-07-14 20:35:59 UTC
Created attachment 101918 [details]
new excerpt of /var/log/messages

Comment 7 Dave Jones 2005-01-14 05:23:55 UTC
any better with the latest 2.6.10 updates ?

Comment 8 Dave Jones 2005-04-16 05:00:04 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.